2
$\begingroup$

I've searched around for a way to preview a Luxrender render in Blender's viewport but cannot seem to find the solution to this error. When I click the render mode for the viewport it comes up with:

ERROR Viewport rendering is only available when API 2.x is selected!

$\endgroup$
1
  • $\begingroup$ without having read the full post, here is a page with a screenshot showing how to switch between API 1.x and API 2.x: luxrender.net/wiki/… $\endgroup$ Jun 24 '15 at 5:23
2
$\begingroup$

I'm just setting up a Mac and aren't too familiar but having just downloaded the latest LuxRender1.5 and installed LuxBlend, I see the API choice is not called API2.x, rather it is called LuxCore API (experimental) so I am assuming this is the 2.x Here is a screenshot:

lux API

EDIT: But be aware that there may be performance issues when using the viewport. This post mentions and gives some explanation: https://groups.google.com/forum/#!topic/appleseed-dev/YZ5dR9qvUV0

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.